package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.QzTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface QzTaskDao extends BaseMapper<QzTask> {

  List<QzTask> selectAll();

    QzTask queryByTaskId(Long taskId);

    List<QzTask> queryByHouseNumber(@Param("houseNumber") String houseNumber, @Param("status") Integer status);

    Integer updateStatusById(@Param("taskId") Long taskId, @Param("status") Integer status);

    List<QzTask> queryQzTask();
}